output "instance_ip" {
  value = {
    frontend =google_compute_instance.instance_frontend.network_interface[0].network_ip
    backend  =google_compute_instance.instance_backend.network_interface[0].network_ip
    database =google_compute_instance.instance_database.network_interface[0].network_ip
  }
}

output "private_ip_frontend" {
  value = google_compute_instance.instance_frontend.network_interface[0].access_config[0].nat_ip
}

output "name_instance" {
  value = {
    frontend = google_compute_instance.instance_frontend.name
    backend  = google_compute_instance.instance_backend.name
    database = google_compute_instance.instance_database.name
  }
}